commit f2d4952feb5a71e0b692c50ac3b62aa7d1130e51
Author: Jose E. Marchesi <jose.marchesi@oracle.com>
Date:   Wed Sep 2 09:12:51 2020 +0200

    bpf: use the default asm_named_section target hook
    
    This patch makes the BPF backend to not provide its own implementation
    of the asm_named_section hook; the default handler works perfectly
    well.
    
    2020-09-02  Jose E. Marchesi  <jose.marchesi@oracle.com>
    
            gcc/
            * config/bpf/bpf.c (bpf_asm_named_section): Delete.
            (TARGET_ASM_NAMED_SECTION): Likewise.
    
    (cherry picked from commit 7047a8bab6e41fe9f5dbb29ca170ce416e08dd11)

diff --git a/gcc/config/bpf/bpf.c b/gcc/config/bpf/bpf.c
index 84d17d4a27f..972a91adcd8 100644
--- a/gcc/config/bpf/bpf.c
+++ b/gcc/config/bpf/bpf.c
@@ -219,23 +219,6 @@ bpf_target_macros (cpp_reader *pfile)
   }
 }
 
-/* Output assembly directives to switch to section NAME.  The section
-   should have attributes as specified by FLAGS, which is a bit mask
-   of the 'SECTION_*' flags defined in 'output.h'.  If DECL is
-   non-NULL, it is the 'VAR_DECL' or 'FUNCTION_DECL' with which this
-   section is associated.  */
-
-static void
-bpf_asm_named_section (const char *name,
-		       unsigned int flags ATTRIBUTE_UNUSED,
-		       tree decl ATTRIBUTE_UNUSED)
-{
-  fprintf (asm_out_file, "\t.section\t%s\n", name);
-}
-
-#undef TARGET_ASM_NAMED_SECTION
-#define TARGET_ASM_NAMED_SECTION bpf_asm_named_section
-
 /* Return an RTX representing the place where a function returns or
    receives a value of data type RET_TYPE, a tree node representing a
    data type.  */

